<?php decorate_with('layout_2col.php'); ?>

<?php slot('sidebar'); ?>

  <?php include_component('repository', 'contextMenu'); ?>

<?php end_slot(); ?>

<?php slot('title'); ?>

  <h1><?php echo render_title($resource); ?></h1>

<?php end_slot(); ?>

<?php slot('content'); ?>

  <?php echo $form->renderGlobalErrors(); ?>

  <?php echo $form->renderFormTag(
    url_for(
      [
          $resource,
          'module' => 'informationobject',
          'action' => 'updatePublicationStatus',
      ]
    ),
    [
        'id' => 'update-publication-status-form',
        'data-cy' => 'update-publication-status-form',
    ]
  ); ?>

    <?php echo $form->renderHiddenFields(); ?>

    <div id="content">

      <fieldset class="collapsible">

        <legend><?php echo __('Update publication status'); ?></legend>

        <?php echo $form->publicationStatus->label(__('Publication status'))->renderRow(); ?>

        <?php if ($resource->rgt - $resource->lft > 1) { ?>
          <?php echo $form->updateDescendants->label(__('Update descendants'))->renderRow(); ?>
        <?php } ?>

      </fieldset>

    </div>

    <section class="actions">
      <ul>
        <li><input class="c-btn c-btn-submit" type="submit" value="<?php echo __('Update'); ?>"/></li>
        <li><?php echo link_to(__('Cancel'), [$resource, 'module' => 'informationobject'], ['class' => 'c-btn']); ?></li>
      </ul>
    </section>

  </form>

<?php end_slot(); ?>
